package ecs.components;

import ecs.core.Component;

class OrbitPreview extends Component {
	public var rX:Float;
	public var rY:Float;
	public var phase:Float;
	public var direction:Float = 1;
	public var previewPhase:Float = 0;
	public var speed:Float = 0;
	public var lastFlipPhase:Float = 0;

	public function new(rX:Float, rY:Float) {
		super();

		this.rX = rX;
		this.rY = rY;
	}
}
